Subject: Re: DTS question

From: David Gibson <[email-masked]>
Date: Thu, 27 Mar 2008 10:40:43 +1100

On Wed, Mar 26, 2008 at 04:32:28PM +0100, Segher Boessenkool wrote:
>>>> Well.. stock ticker is the new convention.  IEEE1275 used IEEE
>>>> assigned OUI strings (Organization Unique Identifiers).  Often those
>>>> are the same as the stock ticker, but not always.
>>>
>>> Erm, an OUI is a 24-bit number.  I think you're confusing something
>>> here.
>>
>> Yes, I think I am.  I somehow had the impression that in addition to
>> the 24-bit OUIs used in MAC addresses, there were also string-form
>> OUIs assigned.
>
> Perhaps, I'm not an expert on this organisational stuff (wow, big
> understatement).  OF uses only the six-hex-digit form though (with
> a prepended 0, to make it unique).
>
>>> Note that a stock symbol needs to be written in uppercase; in lowercase,
>>> it is just a random name that has no collision protection.
>>
>> Um.. bit too late for that.  AFAIK, uppercase has been used by
>> *no-one* for stock ticker derived vendor IDs.
>
> No, it's used quite a lot actually.  Not in DTS files though ;-)

Sorry, yes, I was meaning specifically in recent, flattened-device
tree practice (which is the context in which the "use stock ticker"
recommendation has been made.

> It doesn't matter a lot, lowercase names are perfectly valid, you just
> don't get the nice non-collision reassurance you would get if you used
> a name in one of the namespaces reserved for that purpose.
>
> It's probably best to not use an uppercase stock symbol if you don't
> have approval from the company in question anyway -- we use a
> lowercase name (i.e. in the "free-for-all" space) for our messed up
> bindings, the companies use an uppercase name (in the stock-ticker
> namespace) for their own, incompatible, messed-up bindings, and
> everyone is happy.  Or something like that.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson